"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MemoryStorage = void 0;
/**
 * Example storage backend. By default, persist will use localStorage however,
 * by implementing the Storage interface you can provide a custom backend to
 * store data anywhere you desire such as an external database or redis.
 *
 * @ignore
 */
class MemoryStorage {
    get length() { return Object.keys(this).length; }
    clear() { Object.keys(this).forEach(k => this.removeItem(k)); }
    getItem(key) { return this[key]; }
    key(index) { return Object.keys(this)[index]; }
    removeItem(key) { delete this[key]; }
    setItem(key, value) { this[key] = value; }
}
exports.MemoryStorage = MemoryStorage;
